USN-3451-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3451-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3451-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3451-1
Related
Published
2017-10-11T12:01:33.028087Z
Modified
2017-10-11T12:01:33.028087Z
Summary
swift vulnerabilities
Details

It was discovered that OpenStack Swift incorrectly handled tempurls. A remote authenticated user in possession of a tempurl key authorized for PUT could retrieve other objects in the same Swift account. (CVE-2015-5223)

Romain Le Disez and Örjan Persson discovered that OpenStack Swift incorrectly closed client connections. A remote attacker could possibly use this issue to consume resources, resulting in a denial of service. (CVE-2016-0737, CVE-2016-0738)

References

Affected packages

Ubuntu:14.04:LTS / swift

Package

Name
swift

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.13.1-0ubuntu1.5

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "swift-object": "1.13.1-0ubuntu1.5",
            "swift-proxy": "1.13.1-0ubuntu1.5",
            "swift-object-expirer": "1.13.1-0ubuntu1.5",
            "swift-account": "1.13.1-0ubuntu1.5",
            "swift-container": "1.13.1-0ubuntu1.5",
            "python-swift": "1.13.1-0ubuntu1.5",
            "swift-doc": "1.13.1-0ubuntu1.5",
            "swift": "1.13.1-0ubuntu1.5"
        }
    ]
}